Bug 490486 - Threading problems, crash at main.c:336
Threading problems, crash at main.c:336
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 13:08 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 03:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-16 13:08:24 EDT
Description of problem:

Opened Rhythmbox, selected "Music", "Artists" , "Search" field -> crash. BT follows.


[New Thread 31998]
Core was generated by `rhythmbox'.
Program terminated with signal 11, Segmentation fault.
#0  _rb_source_search_create_simple_query (search=0x1779a60, db=0x17d6050, search_text=0x0, search_prop=RHYTHMDB_PROP_ARTIST_FOLDED) at rb-source-search.c:114
114		if (search_text[0] == '\0')
#0  _rb_source_search_create_simple_query (search=0x1779a60, db=0x17d6050, search_text=0x0, search_prop=RHYTHMDB_PROP_ARTIST_FOLDED) at rb-source-search.c:114
#1  0x00000000004568de in impl_search (asource=<value optimized out>, search=0x1779a60, cur_text=0x0, new_text=0x0) at rb-browser-source.c:668
#2  0x00000000004311f5 in rb_source_state_sync (header=<value optimized out>, set_text=<value optimized out>, text=0x0, set_search=1, action=0x19c1b10, set_disclosure=<value optimized out>, disclosed=0)
    at rb-source-header.c:751
#3  0x000000000043278f in search_action_changed_cb (action=<value optimized out>, current=0x19c1b10, header=0x1911040) at rb-source-header.c:774
#4  0x0000000000a768ee in IA__g_closure_invoke (closure=0x1704f90, return_value=0x0, n_param_values=2, param_values=0x1916260, invocation_hint=0x7fff8ab99bb0) at gclosure.c:767
#5  0x0000000000a8cf18 in signal_emit_unlocked_R (node=0x1704f30, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3244
#6  0x0000000000a8e2fe in IA__g_signal_emit_valist (instance=0x154ecb0, signal_id=<value optimized out>, detail=0, var_args=0x7fff8ab99da0) at gsignal.c:2977
#7  0x0000000000a8e893 in IA__g_signal_emit (instance=0x1779a60, signal_id=24993872, detail=0) at gsignal.c:3034
#8  0x00000036fc188148 in gtk_radio_action_activate (action=<value optimized out>) at gtkradioaction.c:361
#9  0x0000000000a768ee in IA__g_closure_invoke (closure=0x16f65a0, return_value=0x0, n_param_values=1, param_values=0x7f516e0e0180, invocation_hint=0x7fff8ab99ff0) at gclosure.c:767
#10 0x0000000000a8c715 in signal_emit_unlocked_R (node=0x173b0a0, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3174
#11 0x0000000000a8e2fe in IA__g_signal_emit_valist (instance=0x19c1b10, signal_id=<value optimized out>, detail=0, var_args=0x7fff8ab9a1e0) at gsignal.c:2977
#12 0x0000000000a8e893 in IA__g_signal_emit (instance=0x1779a60, signal_id=24993872, detail=0) at gsignal.c:3034
#13 0x00000036fc06ec83 in _gtk_action_emit_activate (action=0x19c1b10) at gtkaction.c:727
#14 0x00000036fc223d19 in button_clicked (widget=<value optimized out>, button=0x1a4e6c0) at gtktoolbutton.c:705
#15 0x0000000000a768ee in IA__g_closure_invoke (closure=0x1a93b40, return_value=0x0, n_param_values=1, param_values=0x7f516e0deb00, invocation_hint=0x7fff8ab9a430) at gclosure.c:767
#16 0x0000000000a8cf18 in signal_emit_unlocked_R (node=0x16fc2c0, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3244
#17 0x0000000000a8e2fe in IA__g_signal_emit_valist (instance=0x1a4fea0, signal_id=<value optimized out>, detail=0, var_args=0x7fff8ab9a620) at gsignal.c:2977
#18 0x0000000000a8e893 in IA__g_signal_emit (instance=0x1779a60, signal_id=24993872, detail=0) at gsignal.c:3034
#19 0x00000036fc21894d in gtk_toggle_button_released (button=0x1779a60) at gtktogglebutton.c:485
#20 0x0000000000a768ee in IA__g_closure_invoke (closure=0x16fc0f0, return_value=0x0, n_param_values=1, param_values=0x7f516e0e0200, invocation_hint=0x7fff8ab9a850) at gclosure.c:767
#21 0x0000000000a8c715 in signal_emit_unlocked_R (node=0x16fc1f0, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3174
#22 0x0000000000a8e2fe in IA__g_signal_emit_valist (instance=0x1a4fea0, signal_id=<value optimized out>, detail=0, var_args=0x7fff8ab9aa40) at gsignal.c:2977
#23 0x0000000000a8e893 in IA__g_signal_emit (instance=0x1779a60, signal_id=24993872, detail=0) at gsignal.c:3034
#24 0x00000036fc0894d7 in gtk_button_button_release (widget=<value optimized out>, event=<value optimized out>) at gtkbutton.c:1594
#25 0x00000036fc14b713 in _gtk_marshal_BOOLEAN__BOXED (closure=0x16eed40, return_value=0x7fff8ab9ad00, n_param_values=<value optimized out>, param_values=0x7f516e0df750, invocation_hint=<value optimized out>, 
    marshal_data=0x36fc0894a0) at gtkmarshalers.c:84
#26 0x0000000000a768ee in IA__g_closure_invoke (closure=0x16eed40, return_value=0x7fff8ab9ad00, n_param_values=2, param_values=0x7f516e0df750, invocation_hint=0x7fff8ab9acc0) at gclosure.c:767
#27 0x0000000000a8cbd0 in signal_emit_unlocked_R (node=0x16eedb0, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3282
#28 0x0000000000a8e1be in IA__g_signal_emit_valist (instance=0x1a4fea0, signal_id=<value optimized out>, detail=0, var_args=0x7fff8ab9aeb0) at gsignal.c:2987
#29 0x0000000000a8e893 in IA__g_signal_emit (instance=0x1779a60, signal_id=24993872, detail=0) at gsignal.c:3034
#30 0x00000036fc26b9bf in gtk_widget_event_internal (widget=0x1a4fea0, event=0x7f517170ab40) at gtkwidget.c:4761
#31 0x00000036fc142875 in IA__gtk_propagate_event (widget=0x1a4fea0, event=0x7f517170ab40) at gtkmain.c:2396
#32 0x00000036fc1439cb in IA__gtk_main_do_event (event=0x7f517170ab40) at gtkmain.c:1601
#33 0x00000036fb85322c in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2364
#34 0x00000000035ae11e in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#35 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#36 0x00000000035b1878 in g_main_context_iterate (context=0x16c7f10, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2448
#37 0x00000000035b1d15 in IA__g_main_loop_run (loop=0x179f6f0) at gmain.c:2656
#38 0x00000036fc143f47 in IA__gtk_main () at gtkmain.c:1205
#39 0x0000000000420fc8 in main (argc=<value optimized out>, argv=<value optimized out>) at main.c:336


Second one: was playing music, selected "Queue" -> hang -> crash
[New Thread 32077]
[New Thread 32112]
[New Thread 32113]
[New Thread 32114]
[New Thread 32110]
[New Thread 32107]
[New Thread 32111]
[New Thread 32109]
Core was generated by `rhythmbox'.
Program terminated with signal 11, Segmentation fault.
#0  _rb_source_search_create_simple_query (search=0x1b5fe00, db=0x1b90050, search_text=0x0, search_prop=RHYTHMDB_PROP_SEARCH_MATCH) at rb-source-search.c:114
114		if (search_text[0] == '\0')
#0  _rb_source_search_create_simple_query (search=0x1b5fe00, db=0x1b90050, search_text=0x0, search_prop=RHYTHMDB_PROP_SEARCH_MATCH) at rb-source-search.c:114
#1  0x00000000004530d7 in impl_search (source=0x1d46060, search=0x1b5fe00, cur_text=<value optimized out>, new_text=0x0) at rb-static-playlist-source.c:504
#2  0x00000000004311f5 in rb_source_state_sync (header=<value optimized out>, set_text=<value optimized out>, text=0x0, set_search=0, action=0x0, set_disclosure=<value optimized out>, disclosed=0) at rb-source-header.c:751
#3  0x0000000000431d3d in rb_source_header_view_browser_changed_cb (action=0x1d198b0, header=0x1d1f040) at rb-source-header.c:837
#4  0x000000000093f8ee in IA__g_closure_invoke (closure=0x1b12cb0, return_value=0x0, n_param_values=1, param_values=0x1ea1220, invocation_hint=0x7fff7cc14b90) at gclosure.c:767
#5  0x0000000000955f18 in signal_emit_unlocked_R (node=0x1b48ca0, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3244
#6  0x00000000009572fe in IA__g_signal_emit_valist (instance=0x1d198b0, signal_id=<value optimized out>, detail=0, var_args=0x7fff7cc14d80) at gsignal.c:2977
#7  0x0000000000957893 in IA__g_signal_emit (instance=0x1b5fe00, signal_id=28901456, detail=0) at gsignal.c:3034
#8  0x00000036fc06ec83 in _gtk_action_emit_activate (action=0x1d198b0) at gtkaction.c:727
#9  0x0000000000431058 in rb_source_header_sync_control_state (header=0x1d1f040) at rb-source-header.c:876
#10 0x00000000009449ae in object_set_property (nqueue=<value optimized out>, value=<value optimized out>, pspec=<value optimized out>, object=<value optimized out>) at gobject.c:942
#11 IA__g_object_set_valist (nqueue=<value optimized out>, value=<value optimized out>, pspec=<value optimized out>, object=<value optimized out>) at gobject.c:1431
#12 0x0000000000944f84 in IA__g_object_set (_object=0x1d1f040, first_property_name=0x47d4f1 "source") at gobject.c:1537
#13 0x0000000000422d11 in rb_shell_select_source (shell=0x1b46020, source=0x1d46060) at rb-shell.c:2099
#14 0x000000000093f8ee in IA__g_closure_invoke (closure=0x1d363e0, return_value=0x0, n_param_values=2, param_values=0x7fcd659b6a40, invocation_hint=0x7fff7cc152b0) at gclosure.c:767
#15 0x0000000000955f18 in signal_emit_unlocked_R (node=0x1d2ef20, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3244
#16 0x00000000009572fe in IA__g_signal_emit_valist (instance=0x1d1f140, signal_id=<value optimized out>, detail=0, var_args=0x7fff7cc154a0) at gsignal.c:2977
#17 0x0000000000957893 in IA__g_signal_emit (instance=0x1b5fe00, signal_id=28901456, detail=0) at gsignal.c:3034
#18 0x0000000000445177 in rb_sourcelist_selection_changed_cb (selection=<value optimized out>, sourcelist=0x1d1f140) at rb-sourcelist.c:1399
#19 0x000000000093f8ee in IA__g_closure_invoke (closure=0x1b42510, return_value=0x0, n_param_values=1, param_values=0x7fcd64eaaf00, invocation_hint=0x7fff7cc15710) at gclosure.c:767
#20 0x0000000000955f18 in signal_emit_unlocked_R (node=0x1ad7540, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3244
#21 0x00000000009572fe in IA__g_signal_emit_valist (instance=0x1b12600, signal_id=<value optimized out>, detail=0, var_args=0x7fff7cc15900) at gsignal.c:2977
#22 0x0000000000957893 in IA__g_signal_emit (instance=0x1b5fe00, signal_id=28901456, detail=0) at gsignal.c:3034
#23 0x00000036fc25084e in gtk_tree_view_real_set_cursor (tree_view=0x1d32040, path=0x7fcd64ec5670, clear_and_select=1, clamp_node=1) at gtktreeview.c:12563
#24 0x00000036fc25a4c5 in gtk_tree_view_button_press (widget=0x1d32040, event=0x7fcd64e35870) at gtktreeview.c:2751
#25 0x0000003ac4870e7d in rb_tree_dnd_button_press_event_cb (widget=0x1d32040, event=0x7fcd64e35870, data=<value optimized out>) at rb-tree-dnd.c:925
#26 0x00000036fc14b713 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1d31a80, return_value=0x7fff7cc15d80, n_param_values=<value optimized out>, param_values=0x7fcd65a288f0, invocation_hint=<value optimized out>, 
    marshal_data=0x3ac4870d30) at gtkmarshalers.c:84
#27 0x000000000093f8ee in IA__g_closure_invoke (closure=0x1d31a80, return_value=0x7fff7cc15d80, n_param_values=2, param_values=0x7fcd65a288f0, invocation_hint=0x7fff7cc15d40) at gclosure.c:767
#28 0x0000000000955f18 in signal_emit_unlocked_R (node=0x1afc570, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3244
#29 0x00000000009571be in IA__g_signal_emit_valist (instance=0x1d32040, signal_id=<value optimized out>, detail=0, var_args=0x7fff7cc15f30) at gsignal.c:2987
#30 0x0000000000957893 in IA__g_signal_emit (instance=0x1b5fe00, signal_id=28901456, detail=0) at gsignal.c:3034
#31 0x00000036fc26b9bf in gtk_widget_event_internal (widget=0x1d32040, event=0x7fcd64e35870) at gtkwidget.c:4761
#32 0x00000036fc142875 in IA__gtk_propagate_event (widget=0x1d32040, event=0x7fcd64e35870) at gtkmain.c:2396
#33 0x00000036fc1439cb in IA__gtk_main_do_event (event=0x7fcd64e35870) at gtkmain.c:1601
#34 0x00000036fb85322c in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2364
#35 0x000000000401711e in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#36 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#37 0x000000000401a878 in g_main_context_iterate (context=0x1ad5ad0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2448
#38 0x000000000401ad15 in IA__g_main_loop_run (loop=0x1df4570) at gmain.c:2656
#39 0x00000036fc143f47 in IA__gtk_main () at gtkmain.c:1205
#40 0x0000000000420fc8 in main (argc=<value optimized out>, argv=<value optimized out>) at main.c:336


Version-Release number of selected component (if applicable):

rhythmbox-0.11.6-30.r6184.fc11.x86_64

How reproducible:
always, rhythmbox is useless at them moment

Steps to Reproduce:
* Play some music, wait for hang/crash
Comment 1 Bastien Nocera 2009-03-16 18:38:53 EDT
It works here, otherwise it would be fixed.

Two pre-releases with bug fixes were built in the meanwhile, try with 0.11.99.1.
Comment 2 Michal Nowak 2009-03-18 03:55:28 EDT
I don't see any of those crashes, closing for now.

Note You need to log in before you can comment on or make changes to this bug.